Name:           ksensors
Version:        0.7.3
Release:        %mkrel 12
Summary:        KDE frontend for lm_sensors
Group:          Graphical desktop/KDE
License:        GPL
URL:            http://ksensors.sourceforge.net/
Source0:        http://ovh.dl.sourceforge.net/sourceforge/ksensors/%{name}-%{version}-cvs20070309.tar.bz2
Patch0:         %{name}-desktop.patch
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Suggests:       hddtemp
Requires:       lm_sensors
BuildRequires:  desktop-file-utils
BuildRequires:  kdelibs-devel
BuildRequires:  lm_sensors-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
KSensors is a nice frontend for lm-sensors, a set of tools for
monitoring the hardware health of Linux systems equipped with
certain hardware health monitoring hardware such as the LM78
or LM75, and HDDtemp, a tool for monitoring hard drive temperatures.
It also serves as a system resource monitor.

%prep
%setup -q
%patch0 -p1
%{__sed} -i -e 's|$(kde_datadir)/sounds|$(kde_sounddir)|' src/sounds/Makefile.*
for f in ChangeLog LIESMICH LISEZMOI ; do
    %{_bindir}/iconv -f iso-8859-1 -t utf-8 $f > $f.utf8 ; mv $f.utf8 $f
done

%build
export QTDIR=%{_prefix}/lib/qt3
%{configure2_5x} --disable-dependency-tracking --disable-rpath
%{make}

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}

%{_bindir}/desktop-file-install --vendor "" --mode 644 --delete-original \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applnk/Utilities/ksensors.desktop
%{__mkdir_p} %{buildroot}%{_datadir}/autostart
%{__ln_s} ../applications/ksensors.desktop \
    %{buildroot}%{_datadir}/autostart

# Relativization of symlink, rpm fails to do it
%{__rm} %{buildroot}%{_datadir}/doc/HTML/en/%{name}/common
%{__ln_s} ../common %{buildroot}%{_datadir}/doc/HTML/en/%{name}/common

%find_lang %{name}

%post
%{update_desktop_database}
%update_icon_cache hicolor
%update_icon_cache locolor

%postun
%{clean_desktop_database}
%clean_icon_cache hicolor
%clean_icon_cache locolor

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc %{_docdir}/HTML/*/%{name}
%doc AUTHORS ChangeLog COPYING FAQ README TODO
%lang(es) %doc LEEME
%lang(de) %doc LIESMICH
%lang(fr) %doc LISEZMOI
%{_bindir}/ksensors
%{_datadir}/applications/ksensors.desktop
%{_datadir}/apps/ksensors/
%{_datadir}/autostart/ksensors.desktop
%{_datadir}/icons/hicolor/*x*/apps/ksensors.png
%{_datadir}/icons/locolor/*x*/apps/ksensors.png
%{_datadir}/sounds/ksensors_alert.wav


%changelog
* Mon Oct 22 2007 David Walluck <walluck@mandriva.org> 0.7.3-12mdv2008.1
+ Revision: 101080
- BuildRequires: lm_sensors-devel
- fix desktop file and install in correct location
- call desktop-file-utils in post, not update-menus
- do not install old debian menu icons
- reduce BuildRequires since kdelibs-devel brings in most everything else
- fix sound directory
- fix doc file encoding
- explicitly set QTDIR
- reduce configure arguments
- install autostart link
- most patches were merged upstream in CVS but not removed,m so remove them

* Wed Oct 10 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.7.3-10mdv2008.1
+ Revision: 96899
- source, hmpf
- really fix missing sources etc..
-s/Enhances/Suggests/
- bump
- drop old icon macro scriptlets (fixes #23874)
- drop old debian menu


* Wed Jan 31 2007 David Walluck <walluck@mandriva.org> 0.7.3-8mdv2007.0
+ Revision: 115690
- add spelling fix and k8temp fix (from Debian)
- Import ksensors

* Thu Sep 28 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.7.3-7mdv2007.0
- add nb translation (P6)

* Thu Sep 28 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.7.3-6mdv2007.0
- from cvs:
	o add sata & scsi support (P2)
	o add swedish & polish translations (P3)
	o Put all QRadioButtons of the alarm tab into a QButtonGroup widget
	  instead of a QLayout widget. (P4)
- get rid of error popping up during check for hddtemp (P5)

* Sat Jul 22 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.7.3-5mdv2007.0
- drop P0 to fix 23876

* Thu Jul 20 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.7.3-4mdv2007.0
- XDG
- Use macros for icons

* Sat May 21 2005 Sebastien Savarin <plouf@mandriva.org> 0.7.3-3mdk
- Fix menu-title-not-capitalized 
- Fix hardcoded qt path

* Sat May 21 2005 Sebastien Savarin <plouf@mandriva.org> 0.7.3-2mdk
- Rebuild and fix source url fix build on amd 64

* Thu Sep 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.7.3-1mdk
- 0.7.3 (seems to fix #10101 & #10102)
- update menu
- drop P0
- use %%configure2_5x macro
- fix path to hddtemp (ugly P1, fixes #10100)

* Sat Jun 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.2-10mdk
- Rebuild

